Resent-Date: Sun, 2 May 1999 10:36:46 +0200 (MET DST)
Date: Sun, 2 May 1999 03:36:15 -0500
From: Chris Lawrence <quango@watervalley.net>
To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Cc: Jes Degn Srensen <jds@kom.auc.dk>
Subject: Documentation/m68k/kernel-options.txt
Mail-Followup-To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>,	Jes Degn Srensen <jds@kom.auc.dk>
Organization: Kathie Lee's Sweatshops
X-Operating-System: Linux/m68k 2.2.6
Resent-From: linux-m68k@phil.uni-sb.de

I'm sure some other things ought to be integrated into this file;
anyway, here's a stab at it.

--- kernel-options.txt.orig	Sun May  2 03:05:42 1999
+++ kernel-options.txt	Sun May  2 03:30:24 1999
@@ -3,10 +3,10 @@
 				  Command Line Options for Linux/m68k
 				  ===================================
 
-Last Update: Nov 28, 1997
-Linux/m68k version: 2.1.64
+Last Update: 2 May 1999
+Linux/m68k version: 2.2.6
 Author: Roman.Hodek@informatik.uni-erlangen.de (Roman Hodek)
-Update: jds@kom.auc.dk (Jes Sorensen)
+Update: jds@kom.auc.dk (Jes Sorensen) and faq@linux-m68k.org (Chris Lawrence)
 
 0) Introduction
 ===============
@@ -145,7 +145,7 @@
 
 These two options tell the kernel whether it should mount the root
 filesystem read-only or read-write. The default is read-only, except
-for ramdisks which are read-write.
+for ramdisks, which default to read-write.
 
 
 2.3) debug
@@ -216,23 +216,10 @@
 
 
 2.7) swap=
------------
-
-Syntax: swap=<max_age>,<adv>,<decl>,<init_age>,<cl_fract>,<cl_min>,\
-        <pgout_wgt>,<bfout_wgt>
-(All optional)
-
-TODO
-
-
 2.8) buff=
 -----------
 
-Syntax: buff=<max_age>,<adv>,<decl>,<init_age>,<bfout_wgt>,<mem_grace>
-(All optional)
-
-TODO
-
+  I can't find any sign of these options in 2.2.6.
 
 
 3) General Device Options (Amiga and Atari)
@@ -311,7 +298,7 @@
 =========================
 
 4.1) video=
---------------
+-----------
 
 Syntax: video=<fbname>:<sub-options...>
 
@@ -322,8 +309,8 @@
 
 NB: Please notice that this option was renamed from `atavideo' to
     `video' during the development of the 1.3.x kernels, thus you
-    might need to update your boot-scripts if upgrading to 2.0.x from
-    an 1.2.13ply kernel.
+    might need to update your boot-scripts if upgrading to 2.x from
+    an 1.2.x kernel.
 
 NBB: The behavior of video= was changed in 2.1.57 so the recommended
 option is to specify the name of the frame buffer.
@@ -763,8 +750,8 @@
 5.1.3) inverse
 --------------
 
-Use inverted display. Functionally the same as the "inverse"
-sub-option for the Atari.
+Use inverted display (black on white). Functionally the same as the
+"inverse" sub-option for the Atari.
 
 5.1.4) font
 -----------
@@ -788,7 +775,7 @@
 your monitor can work with, in Hz. <hmin> and <hmax> are the same for
 the horizontal frequency, in kHz.
 
-  The defaults are 50;90;15;38 (Generic Amiga monitor).
+  The defaults are 50;90;15;38 (Generic Amiga multisync monitor).
 
 
 5.2) fd_def_df0=
@@ -805,6 +792,9 @@
 
 Syntax: wd33c93=<sub-options...>
 
+These options affect the A590/A2091, A3000 and GVP Series II SCSI
+controllers.
+
 The <sub-options> is a comma-separated list of the sub-options listed
 below.
 
@@ -862,7 +852,7 @@
 -----------
 
   No argument. Used to separate blocks of keywords when there's more
-than one host adapter in the system.
+than one wd33c93-based host adapter in the system.
 
 5.3.7) nodma
 ------------
@@ -904,6 +894,69 @@
 32 bit address range for DMA. The correct setting depends on your
 controller and should be autodetected by the driver. An example is the
 24 bit region which is specified by a mask of 0x00fffffe.
+
+
+5.5) 53c7xx=
+------------
+
+Syntax: 53c7xx=<sub-options...>
+
+These options affect the A4000T, A4091, WarpEngine, Blizzard 603e+,
+and GForce 040/060 SCSI controllers on the Amiga, as well as the
+builtin MVME 16x SCSI controller.
+
+The <sub-options> is a comma-separated list of the sub-options listed
+below.
+
+5.5.1) nosync
+-------------
+
+Syntax: nosync:0
+
+  Disables sync negotiation for all devices.  Any value after the
+  colon is acceptable (and has the same effect).
+
+5.5.2) noasync
+--------------
+
+Syntax: noasync:0
+
+  Disables async and sync negotiation for all devices.  Any value
+  after the colon is acceptable (and has the same effect).
+
+5.5.3) nodisconnect
+-------------------
+
+Syntax: nodisconnect:0
+
+  Disables SCSI disconnects.  Any value after the colon is acceptable
+  (and has the same effect).
+
+5.5.4) validids
+---------------
+
+Syntax: validids:0xNN
+
+  Specify which SCSI ids the driver should pay attention to.  This is
+  a bitmask (i.e. to only pay attention to ID#4, you'd use 0x10).
+  Default is 0x7f (devices 0-6).
+
+5.5.5) opthi
+5.5.6) optlo
+------------
+
+Syntax: opthi:M,optlo:N
+
+  Specify options for "hostdata->options".  The acceptable definitions
+  are listed in drivers/scsi/53c7xx.h; the 32 high bits should be in
+  opthi and the 32 low bits in optlo.  They must be specified in the
+  order opthi=M,optlo=N.
+
+5.5.7) next
+-----------
+
+  No argument. Used to separate blocks of keywords when there's more
+  than one 53c7xx host adapter in the system.
 
 
 /* Local Variables: */



Chris
-- 
=============================================================================
|        Chris Lawrence        |         Get your Debian 2.1 CD-ROMs        |
|   <quango@watervalley.net>   |          http://www.lordsutch.com/         |
|                              |                                            |
|   Grad Student, Pol. Sci.    |   Visit the Lurker's Guide to Babylon 5:   |
|  University of Mississippi   |   <*> http://www.midwinter.com/lurk/ <*>   |
=============================================================================

